Apache C++ Standard Library Reference Guide

## isxdigit()

Library: Localization

    Function

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

Local convenience function that determines whether a character is a hexadecimal digit

### Synopsis

    #include <locale>

    namespace std {
      template <class charT>
      bool isxdigit(charT c, const locale& loc);
    }

### Description

The `isxdigit()` function returns `true` if the character passed as a parameter is a hexadecimal digit. Otherwise, the function returns `false`. The check is made using the `ctype` facet from the `locale` parameter.

### See Also

ctype, locale, `isalnum()`, `isalpha()`, `iscntrl()`, `isdigit()`, `isgraph()`, `islower()`, `isprint()`, `ispunct()`, `isspace()`, `isupper()`

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 22.1.3.1